Skip to Content
SeyloDocs
API referenceSign-in and account

Get new recovery codes

POST
/api/v1/auth.regenerateRecoveryCodes

Replaces every recovery code with 10 new ones, shown once. Needs a current authenticator code. Only while 2FA is on.

Any signed-in caller. Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
code*string
Match^[0-9]{6}$

Response Body

Success.

application/json
  1. response
recoveryCodes*array<string>
Example Request
curl -X POST 'https://example.com/api/v1/auth.regenerateRecoveryCodes' \  -H 'Content-Type: application/json' \  -d '{  "code": "string"}'
Example Response
{  "recoveryCodes": [    "string"  ]}